import request from './request';
 
//  校验手机号是否注册
export const validateUser = params => {
  return request({
    url: `org/apply/validateUser/${params.phone}`,
    method: 'get'
  }, true)
}
// 获取图片验证码
export const getCaptcha = randomCode => {
  return request({
    url: `org/apply/getCaptcha/${randomCode}`,
    method: 'get',
    responseType: 'blob',
  }, true)
}
// 发送短信验证码
export const sendVerifyCode = params => {
  return request({
    url: 'org/apply/sendVerifyCode',
    method: 'post',
    data: params
  }, true)
}
// 申请试用
export const apply = params => {
  return request({
    url: 'org/apply/apply',
    method: 'post',
    data: params
  }, true)
}
// 获取门店名称
export const getStore = (token) => {
  return request({
    url: 'getStore',
    method: 'get'
  })
}